<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="ancillary_services" pageWidth="555" pageHeight="802" columnWidth="555" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" whenResourceMissingType="Empty" uuid="706798c3-48fb-4123-a682-0e99fe024c71">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["C:\\Users\\Convergent002\\Desktop\\source\\28-09-2016\\jasper\\"]]></defaultValueExpression>
	</parameter>
	<parameter name="AIRLINE_IMG_PATH" class="java.lang.String"/>
	<parameter name="CLASS_TYPE" class="java.lang.String">
		<defaultValueExpression><![CDATA[$P{CLASS_TYPE}]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[]]>
	</queryString>
	<field name="age" class="java.lang.String">
		<fieldDescription><![CDATA[age]]></fieldDescription>
	</field>
	<field name="bookingAirSSRDtlsBeanList" class="java.util.List">
		<fieldDescription><![CDATA[bookingAirSSRDtlsBeanList]]></fieldDescription>
	</field>
	<field name="class" class="java.lang.Class">
		<fieldDescription><![CDATA[class]]></fieldDescription>
	</field>
	<field name="costCentre" class="java.lang.String">
		<fieldDescription><![CDATA[costCentre]]></fieldDescription>
	</field>
	<field name="dob" class="java.lang.String">
		<fieldDescription><![CDATA[dob]]></fieldDescription>
	</field>
	<field name="email" class="java.lang.String">
		<fieldDescription><![CDATA[email]]></fieldDescription>
	</field>
	<field name="firstName" class="java.lang.String">
		<fieldDescription><![CDATA[firstName]]></fieldDescription>
	</field>
	<field name="frequentFlyerList" class="java.util.List">
		<fieldDescription><![CDATA[frequentFlyerList]]></fieldDescription>
	</field>
	<field name="frequentFlyerNo" class="java.lang.String">
		<fieldDescription><![CDATA[frequentFlyerNo]]></fieldDescription>
	</field>
	<field name="index" class="java.lang.String">
		<fieldDescription><![CDATA[index]]></fieldDescription>
	</field>
	<field name="lastName" class="java.lang.String">
		<fieldDescription><![CDATA[lastName]]></fieldDescription>
	</field>
	<field name="nationality" class="java.lang.String">
		<fieldDescription><![CDATA[nationality]]></fieldDescription>
	</field>
	<field name="passengerType" class="java.lang.String">
		<fieldDescription><![CDATA[passengerType]]></fieldDescription>
	</field>
	<field name="passportNo" class="java.lang.String">
		<fieldDescription><![CDATA[passportNo]]></fieldDescription>
	</field>
	<field name="phoneNumber" class="java.lang.String">
		<fieldDescription><![CDATA[phoneNumber]]></fieldDescription>
	</field>
	<field name="specialRequests" class="java.lang.String">
		<fieldDescription><![CDATA[specialRequests]]></fieldDescription>
	</field>
	<field name="ssrDetailList" class="java.util.List">
		<fieldDescription><![CDATA[ssrDetailList]]></fieldDescription>
	</field>
	<field name="status" class="java.lang.String">
		<fieldDescription><![CDATA[status]]></fieldDescription>
	</field>
	<field name="ticketedOn" class="java.lang.String">
		<fieldDescription><![CDATA[ticketedOn]]></fieldDescription>
	</field>
	<field name="title" class="java.lang.String">
		<fieldDescription><![CDATA[title]]></fieldDescription>
	</field>
	<field name="totalBaggageFare" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[totalBaggageFare]]></fieldDescription>
	</field>
	<field name="totalMealFare" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[totalMealFare]]></fieldDescription>
	</field>
	<field name="totalSeatMapFare" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[totalSeatMapFare]]></fieldDescription>
	</field>
	<field name="travelerRefNo" class="java.lang.String">
		<fieldDescription><![CDATA[travelerRefNo]]></fieldDescription>
	</field>
	<field name="travellerRefRPH" class="java.lang.String">
		<fieldDescription><![CDATA[travellerRefRPH]]></fieldDescription>
	</field>
	<field name="voidedOn" class="java.lang.String">
		<fieldDescription><![CDATA[voidedOn]]></fieldDescription>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<detail>
		<band height="70" splitType="Stretch">
			<subreport>
				<reportElement positionType="Float" x="3" y="23" width="552" height="43" isRemoveLineWhenBlank="true" uuid="6be4ed98-bdbc-47e2-a33a-9dab9d6a0e87"/>
				<subreportParameter name="SUBREPORT_DIR">
					<subreportParameterExpression><![CDATA[$P{SUBREPORT_DIR}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="CLASS_TYPE">
					<subreportParameterExpression><![CDATA[$P{CLASS_TYPE}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="AIRLINE_IMG_PATH">
					<subreportParameterExpression><![CDATA[$P{AIRLINE_IMG_PATH}]]></subreportParameterExpression>
				</subreportParameter>
				<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.JRBeanCollectionDataSource($F{ssrDetailList})]]></dataSourceExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "ancillary_services.jasper"]]></subreportExpression>
			</subreport>
			<textField>
				<reportElement x="3" y="3" width="238" height="20" isRemoveLineWhenBlank="true" uuid="3c986ef3-0036-45fe-ab82-b06e4b46c453"/>
				<textFieldExpression><![CDATA[( $F{ssrDetailList} !=null ? $F{firstName}.concat($F{lastName}) : "" )]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
